跳转到主要内容
GET
/
api
/
v1
/
instances
列出调用者的实例
curl --request GET \
  --url https://openapi.beeos.ai/api/v1/instances \
  --header 'Authorization: Bearer <token>'
{
  "success": true,
  "data": [
    {
      "id": "<string>",
      "ownerId": "<string>",
      "agentFramework": "<string>",
      "providerId": "<string>",
      "externalId": "<string>",
      "osType": "<string>",
      "hostingType": "<string>",
      "cloudProvider": "<string>",
      "name": "<string>",
      "modelPrimary": "<string>",
      "models": [
        "<string>"
      ],
      "status": "<string>",
      "desiredStatus": "<string>",
      "endpoint": "<string>",
      "bridgeId": "<string>",
      "identityId": "<string>",
      "totalRunSeconds": 123,
      "connectivity": "<string>",
      "providerConfig": {},
      "haltReason": "<string>",
      "publicIp": "<string>",
      "clusterId": "<string>",
      "region": "<string>",
      "imageId": "<string>",
      "imageRef": "<string>",
      "isTrial": true,
      "expiresAt": "2023-11-07T05:31:56Z",
      "errorMessage": "<string>",
      "systemPrompt": "<string>",
      "mcpServers": {},
      "startedAt": "2023-11-07T05:31:56Z",
      "stoppedAt": "2023-11-07T05:31:56Z",
      "statusEnteredAt": "2023-11-07T05:31:56Z",
      "connectivityUpdatedAt": "2023-11-07T05:31:56Z",
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z",
      "screenshotUrl": "<string>",
      "screenshotUpdatedAt": "2023-11-07T05:31:56Z"
    }
  ],
  "total": 123
}

授权

Authorization
string
header
必填

通过 Authorization: Bearer <token> 头传递用户 JWToag_ 用户 API Key。

查询参数

page
integer<int32>

页码(从 0 开始)。

必填范围: x >= 0
pageSize
integer<int32>

每页数量。

必填范围: 0 <= x <= 200
status
string

按状态过滤。

providerId
string

按 Provider ID 过滤。

agentFramework
string

按智能体框架过滤。

clusterId
string

按集群 ID 过滤。

搜索关键词。

响应

200 - application/json

分页实例列表({ success, data, total })。

success
boolean
必填
data
object[]
必填
total
integer<int64>